Skip to main content

Endpoints

MethodPathDescription
GET/api/v2/sections?roomId={room_id}List sections in a room
POST/api/v2/sectionsCreate sections
PATCH/api/v2/sections/{section_id}Update a section
DELETE/api/v2/sections/{section_id}Delete a section and its pages

Access levels

ValueBehaviour
visibleShown to everyone
restrictedRequires password or sign-in
lockedVisible but not accessible
hiddenNot shown to the buyer

List sections

GET /api/v2/sections?roomId={room_id}
curl "https://api.flowla.com/api/v2/sections?roomId=<room_id>" \
  -H "x-flowla-api-key: YOUR_API_KEY"

Create sections

POST /api/v2/sections Create one or more sections in a single request.
roomId
string
required
The room to add sections to.
sections
array
required
Array of section objects.
Example
{
  "roomId": "<room_id>",
  "sections": [
    { "title": "Introduction", "access": "visible" },
    { "title": "Pricing", "access": "visible" },
    { "title": "Internal Notes", "access": "hidden" }
  ]
}
curl -X POST https://api.flowla.com/api/v2/sections \
  -H "x-flowla-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "roomId": "<room_id>",
    "sections": [
      { "title": "Introduction", "access": "visible" },
      { "title": "Pricing", "access": "visible" }
    ]
  }'

Update a section

PATCH /api/v2/sections/{section_id}
title
string
New display title.
access
"visible" | "restricted" | "locked" | "hidden"
New access level.
Example
{ "title": "New Title", "access": "visible" }
curl -X PATCH https://api.flowla.com/api/v2/sections/<section_id> \
  -H "x-flowla-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title": "New Title", "access": "visible"}'

Delete a section

DELETE /api/v2/sections/{section_id}
Deletes the section and all its pages, groups, and blocks permanently.
curl -X DELETE https://api.flowla.com/api/v2/sections/<section_id> \
  -H "x-flowla-api-key: YOUR_API_KEY"